/*
 * File:   main.c
 * Author: yts
 *
 * Created on 2017/10/04, 8:41
 */

#include "stdint.h"
#include "string.h"
#include <xc.h>
#include "uart2.h"

void SYS_Initialize ();

char txBuffer[50];

void __attribute__ ((interrupt, no_auto_psv)) _U2RXInterrupt(void)
{
	txBuffer[4]=U2RXREG;
    UART2PrintString(txBuffer);

	IFS1bits.U2RXIF = 0;
}

void __attribute__ ((interrupt, no_auto_psv)) _U2TXInterrupt(void)
{
	IFS1bits.U2TXIF = 0;
}

int main(void)
{
    SYS_Initialize();
    
    #ifdef UART_INTERRUPT 
    strcpy(txBuffer,"key a is pressed in interrupt mode\r\n");
    #else
    strcpy(txBuffer,"key a is pressed in polling mode\r\n");
    #endif

    while(1){
        #ifndef UART_INTERRUPT
        txBuffer[4]=UART2GetChar();
        UART2PrintString(txBuffer);
        #endif        
    }

	return 0;
}

